Create Sync Run
curl --request POST \
--url https://api.example.com/v1/workflows/{workflow_id}/runs/sync \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"input": {},
"node_ids": [
"<string>"
],
"single_node_id": "<string>",
"group_id": "<string>",
"workflow_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tracing": false,
"debugger": "<string>",
"callback_url": "<string>"
}
'import requests
url = "https://api.example.com/v1/workflows/{workflow_id}/runs/sync"
payload = {
"input": {},
"node_ids": ["<string>"],
"single_node_id": "<string>",
"group_id": "<string>",
"workflow_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tracing": False,
"debugger": "<string>",
"callback_url": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {},
node_ids: ['<string>'],
single_node_id: '<string>',
group_id: '<string>',
workflow_version_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tracing: false,
debugger: '<string>',
callback_url: '<string>'
})
};
fetch('https://api.example.com/v1/workflows/{workflow_id}/runs/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"output": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Runs
Create Sync Run
POST
/
v1
/
workflows
/
{workflow_id}
/
runs
/
sync
Create Sync Run
Authorizations
Path Parameters
Body
application/json
⌘I